using System;
using System.Collections.Generic;
using System.Text;
using AutoMapper;
using GxPress.Entity;
using GxPress.Entity.Topic;
using GxPress.Result.App.Topic;
using GxPress.Result.User;

namespace GxPress.Mappings
{
    class TopicMapping : Profile
    {
        public TopicMapping()
        {
            CreateMap<Topic, TopicListPageResult>();

            CreateMap<Topic, TopicDetailResult>();

            CreateMap<TopicAnalyze, TopicPraisePageResult>();
        }
    }
}
